# ZoneReceiver (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.client
Interface ZoneReceiver

All Superinterfaces:
  com.threerings.presents.client.InvocationReceiver

All Known Implementing Classes:
  ZoneDirector

    public interface ZoneReceiver

extends com.threerings.presents.client.InvocationReceiver

Defines, for the zone services, a set of notifications delivered asynchronously by the server to the client.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationReceiver
`com.threerings.presents.client.InvocationReceiver.Registration`

Method Summary
`void` `forcedMove(int zoneId, int sceneId)` Used to communicate a required move notification to the client.

Method Detail

### forcedMove

    void forcedMove(int zoneId,
                    int sceneId)

  Used to communicate a required move notification to the client. The server will have removed the client from their existing scene and the client is then responsible for generating a `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request to move to the new scene in the specified zone.

Copyright © 2011. All Rights Reserved.